#include <stdio.h>

char chess[8][8];
bool first;

char postochar(int pos)
{
  return pos + 'a';
}

char upcase( char a)
{
  if ( a < 'Z' ) return a;
  return a - 'a' + 'A';
}

void searchW( char c)
{
  for ( int i = 7; i >= 0; i-- )
  for ( int j = 0; j < 8; j++ )
  {
    if ( chess[i][j] == c )
    {
      if ( !first ) printf( "," );
      first = false;
      
      char s = upcase(c);
      if ( s != 'P' ) printf( "%c", s);
      
      char x = postochar(j);
      printf( "%c%d", x, 8 - i );
    }
  }
  
}

void searchB( char c)
{
  for ( int i = 0; i < 8; i++ )
  for ( int j = 0; j < 8; j++ )
  {
    if ( chess[i][j] == c )
    {
      if ( !first ) printf( "," );
      first = false;
      
      char s = upcase(c);
      if ( s != 'P' ) printf( "%c", s);
      
      char x = postochar(j);
      printf( "%c%d", x, 8 - i );
    }
  }
  
}

int main()
{
  for ( int i = 0; i < 16; i++ )
  {
    char line[34];
    scanf( "%s\n", line );
    if ( i % 2 == 1 ) 
    {
      for ( int j = 0; j < 8; j++ )
      {
        chess[i / 2][j] = line[j * 4 + 2];
      }
    }
  }
  
  printf( "White: " );
  first = true;
  searchW('K');
  searchW('Q');
  searchW('R');
  searchW('B');
  searchW('N');
  searchW('P');
  printf( "\n" );

  printf( "Black: " );
  first = true;
  searchB('k');
  searchB('q');
  searchB('r');
  searchB('b');
  searchB('n');
  searchB('p');
  printf( "\n" );

  return 0;
}
